package com.bonus.material.app.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.app.domain.MachineOcrBean;
import com.bonus.material.ma.domain.vo.MachineVo;

import java.util.List;

/**
 * @ClassName AppOcrService
 * @Author ma_sh
 * @create 2025/1/2 13:50
 */
public interface AppOcrService {

    /**
     * 提交机具出库
     * @param bean
     * @return
     */
    AjaxResult submitOcrOut(MachineOcrBean bean);

    /**
     * 查询机具出库列表
     * @param bean
     * @return
     */
    List<MachineOcrBean> findByPage(MachineOcrBean bean);

    /**
     * 根据code查询机具出库列表
     * @param bean
     * @return
     */
    List<MachineVo> findOutListByDeviceCode(MachineOcrBean bean);

    /**
     * 根据code查询机具退料列表
     * @param bean
     * @return
     */
    List<MachineVo> findBackListByDeviceCode(MachineOcrBean bean);

    /**
     * 提交机具退料
     * @param bean
     * @return
     */
    AjaxResult submitOcrBack(MachineOcrBean bean);

    /**
     * 获取ocr编码
     * @param bean
     * @return
     */
    AjaxResult getOcrCode(MachineOcrBean bean);

    /**
     * 推送设备至第三方入库
     * @param bean
     * @return
     */
    AjaxResult addDeviceNumber(MachineOcrBean bean);

    /**
     * 获取ocr编码
     * @param bean
     * @return
     */
    AjaxResult getOcrCodeTwo(MachineOcrBean bean);
}
